package com.zhongzheng.modules.user.mapper;

import com.zhongzheng.modules.user.bo.UserSubscribeQueryBo;
import com.zhongzheng.modules.user.domain.UserSubscribe;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zhongzheng.modules.user.vo.UserSubscribeVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 用户预约考试Mapper接口
 *
 * @author ruoyi
 * @date 2021-12-07
 */
public interface UserSubscribeMapper extends BaseMapper<UserSubscribe> {

    List<UserSubscribeVo> listSubscribe(UserSubscribeQueryBo bo);

    Long selectGoodsId(String code);

    Long selectUserId(@Param("userName") String userName,@Param("idCard")  Long idCard);

    Long selectBeforeId(String beforeName);

    Long selectApplyId(String applyName);

    Long selectSubscribeId(@Param("applyId") Long applyId,@Param("goodsId") Long goodsId,@Param("userId")  Long userId);

    Long queryBusinessId(@Param("subscribeId")Long subscribeId,@Param("businessId")Long businessId);

    List<UserSubscribeVo> timeSend();

    Long sendExamSucceed(Long goodsId);
}
